/* zipconf.h -- configuration of the zip compression library
 * Copyright (C) 1995 Jean-loup Gailly.
 * For conditions of distribution and use, see the accompanying README file.
 * version 0.2  March 2nd, 1995.
 */

#ifndef _ZIPCONF_H
#define _ZIPCONF_H

/*
     The library does not install any signal handler. It is recommended to
  add at least a handler for SIGSEGV when decompressing; the library checks
  the consistency of the input data whenever possible but may go nuts
  for some forms of corrupted input.
 */

/*
 * Compile with -DMAXSEG_64K if the alloc function cannot allocate more
 * than 64k bytes at a time (needed on systems with 16-bit int).
 */
/* #define MAXSEG_64K */


			/* Type declarations */

#ifndef __P /* function prototypes */
#  ifdef __STDC__
#    define __P(args)  args
#  else
#    define __P(args)  ()
#  endif
#endif

#ifndef Byte
  typedef unsigned char  Byte;  /* 8 bits */
#endif
#ifndef uInt
  typedef unsigned int   uInt;  /* may be 16 or 32 bits */
#endif
#ifndef uLong
  typedef unsigned long  uLong; /* 32 bits or more */
#endif
#ifndef voidp
#  ifdef __STDC__
     typedef void *voidp;
#  else
     typedef Byte *voidp;
#  endif
#endif

#endif /* _ZIPCONF_H */

